Skip to main content
DELETE
/
roles
/
{role}
/
restrictedfeatures
Allow Features
curl --request DELETE \
  --url https://{appId}.api-{region}.cometchat.io/v3/roles/{role}/restrictedfeatures \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "featuresToAllow": "",
  "allowAll": ""
}
'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/roles/{role}/restrictedfeatures"

payload = {
    "featuresToAllow": "",
    "allowAll": ""
}
headers = {
    "apikey": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'DELETE',
  headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({featuresToAllow: '', allowAll: ''})
};

fetch('https://{appId}.api-{region}.cometchat.io/v3/roles/{role}/restrictedfeatures', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "success": true,
    "message": "The feature has been allowed successfully."
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

role
string
required

A role to which allow features.

Body

application/json
featuresToAllow
string[]

keys of the features to be allowed.

allowAll
boolean
default:""

All features to be allowed.

Response

200 - application/json

Allows Restricted Features

data
object